'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ink = require('ink');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Conditional extends _ink.Component {

    render(props) {
        if (props.expression) {
            return props.children;
        }

        return null;
    }
}
exports.default = Conditional;
Conditional.propTypes = {
    expression: _propTypes2.default.bool,
    children: _propTypes2.default.array
};